package com.gic.haoban.manage.service.service.impl;

import com.gic.haoban.common.utils.EntityUtil;
import com.gic.haoban.manage.api.dto.qdto.QywxErrorLogListQDTO;
import com.gic.haoban.manage.service.dao.mapper.TabQywxErrorLogMapper;
import com.gic.haoban.manage.service.entity.TabQywxErrorLog;
import com.gic.haoban.manage.service.pojo.bo.TabQywxErrorLogBO;
import com.gic.haoban.manage.service.service.TabQywxErrorLogService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 企微报错日志(TabQywxErrorLog)表服务实现类
 *
 * @author mozhu
 * @date 2022-04-18 15:28:02
 */
@Service
public class TabQywxErrorLogServiceImpl implements TabQywxErrorLogService {

    @Autowired
    private TabQywxErrorLogMapper tabQywxErrorLogMapper;


    @Override
    public TabQywxErrorLogBO insert(TabQywxErrorLogBO tabQywxErrorLogBO) {
        TabQywxErrorLog tabQywxErrorLog = new TabQywxErrorLog();
        BeanUtils.copyProperties(tabQywxErrorLogBO,tabQywxErrorLog);
        tabQywxErrorLogBO.setCreateTime(new Date());
        this.tabQywxErrorLogMapper.insert(tabQywxErrorLog);
        return tabQywxErrorLogBO;
    }

    @Override
    public TabQywxErrorLogBO queryById(Long id) {
        TabQywxErrorLog tabQywxErrorLog = this.tabQywxErrorLogMapper.queryById(id);
        return EntityUtil.changeEntityByOrika(TabQywxErrorLogBO.class,tabQywxErrorLog);
    }

    @Override
    public List<TabQywxErrorLogBO> queryListByPage(QywxErrorLogListQDTO qywxErrorLogListQDTO) {
        return EntityUtil.changeEntityListByOrika(TabQywxErrorLogBO.class,this.tabQywxErrorLogMapper.queryListByPage(qywxErrorLogListQDTO));
    }

}
