package com.gic.haoban.manage.service.service.out.impl;

import com.alibaba.fastjson.JSON;
import com.gic.api.base.commons.Page;
import com.gic.haoban.common.utils.EntityUtil;
import com.gic.haoban.common.utils.PageUtil;
import com.gic.haoban.manage.api.dto.QywxErrorLogDTO;
import com.gic.haoban.manage.api.dto.qdto.QywxErrorLogListQDTO;
import com.gic.haoban.manage.api.service.TabQywxErrorLogApiService;
import com.gic.haoban.manage.service.pojo.bo.TabQywxErrorLogBO;
import com.gic.haoban.manage.service.service.TabQywxErrorLogService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企微报错日志(TabQywxErrorLog)表服务实现类
 *
 * @author mozhu
 * @date 2022-04-18 15:28:02
 */
@Service
public class TabQywxErrorLogApiServiceImpl implements TabQywxErrorLogApiService {

    @Autowired
    private TabQywxErrorLogService tabQywxErrorLogService;

    @Override
    public void insertQywxErrorLog(String param) {
        TabQywxErrorLogBO tabQywxErrorLogBO = JSON.parseObject(param, TabQywxErrorLogBO.class);
        tabQywxErrorLogService.insert(tabQywxErrorLogBO);
    }

    @Override
    public QywxErrorLogDTO queryById(Long id) {
        return EntityUtil.changeEntityByOrika(QywxErrorLogDTO.class,tabQywxErrorLogService.queryById(id));
    }

    @Override
    public Page<QywxErrorLogDTO> queryListByPage(QywxErrorLogListQDTO qywxErrorLogListQDTO) {
        PageHelper.startPage(qywxErrorLogListQDTO.getPageNum(), qywxErrorLogListQDTO.getPageSize());
        List<TabQywxErrorLogBO> list = this.tabQywxErrorLogService.queryListByPage(qywxErrorLogListQDTO);
        return PageUtil.changePageHelperToCurrentPage(new PageInfo<>(list), QywxErrorLogDTO.class);
    }
}
